/// <reference types="node" />
import { EventEmitter } from 'events';
import { SfuInboundRtpPad } from '@observertc/sample-schemas-js';
import { ObservedSfuTransport } from './ObservedSfuTransport';
export type ObservedSfuInboundRtpPadModel = {
    sfuInboundRtpPadId: string;
};
export type ObservedSfuInboundRtpPadEvents = {
    update: [
        {
            elapsedTimeInMs: number;
        }
    ];
    close: [];
};
export declare interface ObservedSfuInboundRtpPad {
    on<U extends keyof ObservedSfuInboundRtpPadEvents>(event: U, listener: (...args: ObservedSfuInboundRtpPadEvents[U]) => void): this;
    off<U extends keyof ObservedSfuInboundRtpPadEvents>(event: U, listener: (...args: ObservedSfuInboundRtpPadEvents[U]) => void): this;
    once<U extends keyof ObservedSfuInboundRtpPadEvents>(event: U, listener: (...args: ObservedSfuInboundRtpPadEvents[U]) => void): this;
    emit<U extends keyof ObservedSfuInboundRtpPadEvents>(event: U, ...args: ObservedSfuInboundRtpPadEvents[U]): boolean;
    update(sample: SfuInboundRtpPad, timestamp: number): void;
}
export declare class ObservedSfuInboundRtpPad extends EventEmitter {
    private readonly _model;
    readonly transport: ObservedSfuTransport;
    readonly created: number;
    stats?: SfuInboundRtpPad;
    marker?: string;
    private _updated;
    private _closed;
    constructor(_model: ObservedSfuInboundRtpPadModel, transport: ObservedSfuTransport);
    get reports(): import("./ReportsCollector").ReportsCollector;
    get serviceId(): string;
    get mediaUnitId(): string;
    get sfuId(): string;
    get sfuTransportId(): string;
    get sfuRtpPadId(): string;
    get updated(): number;
    get closed(): boolean;
    close(): void;
}
//# sourceMappingURL=ObservedSfuInboundRtpPad.d.ts.map