/// <reference types="node" />
import { EventEmitter } from 'events';
import { SfuOutboundRtpPad } from '@observertc/sample-schemas-js';
import { ObservedSfuTransport } from './ObservedSfuTransport';
export type ObservedSfuOutboundRtpPadModel = {
    sfuOutboundRtpPadId: string;
};
export type ObservedSfuOutboundRtpPadEvents = {
    update: [
        {
            elapsedTimeInMs: number;
        }
    ];
    close: [];
};
export declare interface ObservedSfuOutboundRtpPad {
    on<U extends keyof ObservedSfuOutboundRtpPadEvents>(event: U, listener: (...args: ObservedSfuOutboundRtpPadEvents[U]) => void): this;
    off<U extends keyof ObservedSfuOutboundRtpPadEvents>(event: U, listener: (...args: ObservedSfuOutboundRtpPadEvents[U]) => void): this;
    once<U extends keyof ObservedSfuOutboundRtpPadEvents>(event: U, listener: (...args: ObservedSfuOutboundRtpPadEvents[U]) => void): this;
    emit<U extends keyof ObservedSfuOutboundRtpPadEvents>(event: U, ...args: ObservedSfuOutboundRtpPadEvents[U]): boolean;
    update(sample: SfuOutboundRtpPad, timestamp: number): void;
}
export declare class ObservedSfuOutboundRtpPad extends EventEmitter {
    private readonly _model;
    readonly transport: ObservedSfuTransport;
    readonly created: number;
    stats?: SfuOutboundRtpPad;
    marker?: string;
    private _updated;
    private _closed;
    constructor(_model: ObservedSfuOutboundRtpPadModel, transport: ObservedSfuTransport);
    get reports(): import("./ReportsCollector").ReportsCollector;
    get serviceId(): string;
    get mediaUnitId(): string;
    get sfuId(): string;
    get sfuTransportId(): string;
    get sfuRtpPadId(): string;
    get updated(): number;
    get closed(): boolean;
    close(): void;
}
//# sourceMappingURL=ObservedSfuOutboundRtpPad.d.ts.map