/// <reference types="node" />
import { EventEmitter } from 'events';
import { SfuSctpChannel } from '@observertc/sample-schemas-js';
import { ObservedSfuTransport } from './ObservedSfuTransport';
export type ObservedSfuSctpChannelModel = {
    sfuSctpChannelId: string;
};
export type ObservedSfuSctpChannelEvents = {
    update: [
        {
            elapsedTimeInMs: number;
        }
    ];
    close: [];
};
export declare interface ObservedSfuSctpChannel {
    on<U extends keyof ObservedSfuSctpChannelEvents>(event: U, listener: (...args: ObservedSfuSctpChannelEvents[U]) => void): this;
    off<U extends keyof ObservedSfuSctpChannelEvents>(event: U, listener: (...args: ObservedSfuSctpChannelEvents[U]) => void): this;
    once<U extends keyof ObservedSfuSctpChannelEvents>(event: U, listener: (...args: ObservedSfuSctpChannelEvents[U]) => void): this;
    emit<U extends keyof ObservedSfuSctpChannelEvents>(event: U, ...args: ObservedSfuSctpChannelEvents[U]): boolean;
    update(sample: SfuSctpChannel, timestamp: number): void;
}
export declare class ObservedSfuSctpChannel extends EventEmitter {
    private readonly _model;
    readonly transport: ObservedSfuTransport;
    readonly created: number;
    stats?: SfuSctpChannel;
    marker?: string;
    private _updated;
    private _closed;
    constructor(_model: ObservedSfuSctpChannelModel, transport: ObservedSfuTransport);
    get serviceId(): string;
    get sfuId(): string;
    get mediaUnitId(): string;
    get sfuTransportId(): string;
    get sfuSctpChannelId(): string;
    get reports(): import("./ReportsCollector").ReportsCollector;
    get updated(): number;
    get closed(): boolean;
    close(): void;
}
//# sourceMappingURL=ObservedSfuSctpChannel.d.ts.map