import { ClientIssue } from '../monitors/CallSummary';
import { ObservedInboundVideoTrack } from '../ObservedInboundVideoTrack';
import { ObservedInboundAudioTrack } from '../ObservedInboundAudioTrack';
import { ObservedOutboundVideoTrack } from '../ObservedOutboundVideoTrack';
import { ObservedOutboundAudioTrack } from '../ObservedOutboundAudioTrack';
export type CalculationRemark = {
    severity: 'none' | 'minor' | 'major' | 'critical';
    text: string;
};
export type CalculatedScore = {
    score: number;
    timestamp: number;
    remarks: CalculationRemark[];
    debugText?: string;
};
export declare const BPP_RANGES: {
    lowmotion: {
        h264: {
            low: number;
            high: number;
        };
        h265: {
            low: number;
            high: number;
        };
        vp8: {
            low: number;
            high: number;
        };
        vp9: {
            low: number;
            high: number;
        };
    };
    standard: {
        h264: {
            low: number;
            high: number;
        };
        h265: {
            low: number;
            high: number;
        };
        vp8: {
            low: number;
            high: number;
        };
        vp9: {
            low: number;
            high: number;
        };
    };
    highmotion: {
        h264: {
            low: number;
            high: number;
        };
        h265: {
            low: number;
            high: number;
        };
        vp8: {
            low: number;
            high: number;
        };
        vp9: {
            low: number;
            high: number;
        };
    };
};
export declare function calculateBaseVideoScore(track: ObservedInboundVideoTrack | ObservedOutboundVideoTrack, newIssues: ClientIssue[]): CalculatedScore | undefined;
export declare function calculateBaseAudioScore(track: ObservedInboundAudioTrack | ObservedOutboundAudioTrack, newIssues: ClientIssue[]): CalculatedScore | undefined;
export declare function calculateLatencyMOS({ avgJitter, rttInMs, packetsLoss }: {
    avgJitter: number;
    rttInMs: number;
    packetsLoss: number;
}): number;
export declare function getRttScore(x: number): number;
//# sourceMappingURL=CalculatedScore.d.ts.map