"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCallMetaReport = exports.CallMetaType = void 0;
// eslint-disable-next-line no-shadow
var CallMetaType;
(function (CallMetaType) {
    CallMetaType["CERTIFICATE"] = "CERTIFICATE";
    CallMetaType["CODEC"] = "CODEC";
    CallMetaType["ICE_LOCAL_CANDIDATE"] = "ICE_LOCAL_CANDIDATE";
    CallMetaType["ICE_REMOTE_CANDIDATE"] = "ICE_REMOTE_CANDIDATE";
    CallMetaType["ICE_SERVER"] = "ICE_SERVER";
    CallMetaType["MEDIA_CONSTRAINT"] = "MEDIA_CONSTRAINT";
    CallMetaType["MEDIA_DEVICE"] = "MEDIA_DEVICE";
    CallMetaType["MEDIA_SOURCE"] = "MEDIA_SOURCE";
    CallMetaType["USER_MEDIA_ERROR"] = "USER_MEDIA_ERROR";
    CallMetaType["LOCAL_SDP"] = "LOCAL_SDP";
    CallMetaType["OPERATION_SYSTEM"] = "OPERATION_SYSTEM";
    CallMetaType["ENGINE"] = "ENGINE";
    CallMetaType["PLATFORM"] = "PLATFORM";
    CallMetaType["BROWSER"] = "BROWSER";
})(CallMetaType = exports.CallMetaType || (exports.CallMetaType = {}));
function createCallMetaReport(serviceId, mediaUnitId, roomId, callId, clientId, reportType, userId, peerConnectionId, timestamp) {
    const report = {
        type: reportType.type,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        userId,
        payload: JSON.stringify(reportType.payload),
        timestamp: timestamp !== null && timestamp !== void 0 ? timestamp : Date.now(),
    };
    return report;
}
exports.createCallMetaReport = createCallMetaReport;
