export type EventMap = {
    [key: string]: [...unknown[]];
};
export declare function createTypedEventEmitter<Events extends EventMap>(): TypedEventEmitter<Events>;
export interface TypedEventEmitter<Events extends EventMap> {
    addListener<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    on<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    once<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    prependListener<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    prependOnceListener<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    off<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    removeAllListeners<E extends keyof Events>(event?: E): this;
    removeListener<E extends keyof Events>(event: E, listener: (...data: Events[E]) => void): this;
    emit<E extends keyof Events>(event: E, ...args: Events[E]): boolean;
    eventNames(): (keyof Events | string | symbol)[];
    rawListeners<E extends keyof Events>(event: E): ((...data: Events[E]) => void)[];
    listeners<E extends keyof Events>(event: E): ((...data: Events[E]) => void)[];
    listenerCount<E extends keyof Events>(event: E): number;
    getMaxListeners(): number;
    setMaxListeners(maxListeners: number): this;
}
//# sourceMappingURL=TypedEventEmitter.d.ts.map