"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMediaTrackRemovedEventReport = exports.createMediaTrackAddedEventReport = exports.createPeerConnectionClosedEventReport = exports.createPeerConnectionOpenedEventReport = exports.createClientLeftEventReport = exports.createClientJoinedEventReport = exports.createCallEndedEventReport = exports.createCallStartedEventReport = void 0;
const CallEventType_1 = require("./CallEventType");
function createCallStartedEventReport(serviceId, roomId, callId, timestamp, marker) {
    return {
        name: CallEventType_1.CallEventType.CALL_STARTED,
        serviceId,
        roomId,
        callId,
        timestamp,
        marker,
    };
}
exports.createCallStartedEventReport = createCallStartedEventReport;
function createCallEndedEventReport(serviceId, roomId, callId, timestamp, marker) {
    return {
        name: CallEventType_1.CallEventType.CALL_ENDED,
        serviceId,
        roomId,
        callId,
        timestamp,
        marker,
    };
}
exports.createCallEndedEventReport = createCallEndedEventReport;
function createClientJoinedEventReport(serviceId, mediaUnitId, roomId, callId, clientId, timestamp, userId, marker) {
    return {
        name: CallEventType_1.CallEventType.CLIENT_JOINED,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        timestamp,
        userId,
        marker,
    };
}
exports.createClientJoinedEventReport = createClientJoinedEventReport;
function createClientLeftEventReport(serviceId, mediaUnitId, roomId, callId, clientId, timestamp, userId, marker) {
    return {
        name: CallEventType_1.CallEventType.CLIENT_LEFT,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        timestamp,
        userId,
        marker,
    };
}
exports.createClientLeftEventReport = createClientLeftEventReport;
function createPeerConnectionOpenedEventReport(serviceId, mediaUnitId, roomId, callId, clientId, peerConnectionId, timestamp, marker) {
    return {
        name: CallEventType_1.CallEventType.PEER_CONNECTION_OPENED,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        peerConnectionId,
        timestamp,
        marker,
    };
}
exports.createPeerConnectionOpenedEventReport = createPeerConnectionOpenedEventReport;
function createPeerConnectionClosedEventReport(serviceId, mediaUnitId, roomId, callId, clientId, peerConnectionId, timestamp, marker) {
    return {
        name: CallEventType_1.CallEventType.PEER_CONNECTION_CLOSED,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        peerConnectionId,
        timestamp,
        marker,
    };
}
exports.createPeerConnectionClosedEventReport = createPeerConnectionClosedEventReport;
function createMediaTrackAddedEventReport(serviceId, mediaUnitId, roomId, callId, clientId, peerConnectionId, mediaTrackId, timestamp, marker) {
    return {
        name: CallEventType_1.CallEventType.MEDIA_TRACK_ADDED,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        peerConnectionId,
        mediaTrackId,
        timestamp,
        marker,
    };
}
exports.createMediaTrackAddedEventReport = createMediaTrackAddedEventReport;
function createMediaTrackRemovedEventReport(serviceId, mediaUnitId, roomId, callId, clientId, peerConnectionId, mediaTrackId, timestamp, marker) {
    return {
        name: CallEventType_1.CallEventType.MEDIA_TRACK_REMOVED,
        serviceId,
        mediaUnitId,
        roomId,
        callId,
        clientId,
        peerConnectionId,
        mediaTrackId,
        timestamp,
        marker,
    };
}
exports.createMediaTrackRemovedEventReport = createMediaTrackRemovedEventReport;
