/// <reference types="node" />
import { EventEmitter } from 'events';
import { ObservedCall } from '../ObservedCall';
import { ClientIssue } from './CallSummary';
export type ClientIssueMonitorEmittedIssueEvent = ClientIssue & {
    clientId: string;
    callId: string;
};
export type ClientIssueMonitorEvents = {
    close: [];
    issue: [ClientIssueMonitorEmittedIssueEvent];
    major: [ClientIssueMonitorEmittedIssueEvent];
    minor: [ClientIssueMonitorEmittedIssueEvent];
    critical: [ClientIssueMonitorEmittedIssueEvent];
};
export type ClientIssueMonitorConfig = {};
export declare interface ClientIssueMonitor {
    on<U extends keyof ClientIssueMonitorEvents>(event: U, listener: (...args: ClientIssueMonitorEvents[U]) => void): this;
    off<U extends keyof ClientIssueMonitorEvents>(event: U, listener: (...args: ClientIssueMonitorEvents[U]) => void): this;
    once<U extends keyof ClientIssueMonitorEvents>(event: U, listener: (...args: ClientIssueMonitorEvents[U]) => void): this;
    emit<U extends keyof ClientIssueMonitorEvents>(event: U, ...args: ClientIssueMonitorEvents[U]): boolean;
}
export declare class ClientIssueMonitor extends EventEmitter {
    readonly config: ClientIssueMonitorConfig;
    private _closed;
    constructor(config?: ClientIssueMonitorConfig);
    addCall(call: ObservedCall): void;
    private _addClient;
    get closed(): boolean;
    close(): void;
}
//# sourceMappingURL=ClientIssueMonitor.d.ts.map